#include "xgfxshadowgeometry.h"

XGfxShadowGeometry::XGfxShadowGeometry()
    : XAsset()
    , mSurfaceCount(0)
    , mModelCount(0)
    , mSortedSurfIndexPtr(0)
    , mSortedSurfIndex()
    , mModelIndexPtr(0)
    , mModelIndex()
{
    SetName("GFX Shadow Geometry");
}

XGfxShadowGeometry::~XGfxShadowGeometry()
{
    
}

void XGfxShadowGeometry::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XGfxShadowGeometry::ParseData
}

void XGfxShadowGeometry::Clear()
{
    
}
